package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadCOValueCommandResponse;

public class ReadCOValueCommand extends ReadMemoryCommand {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -5055992591944064485L;

	@Override
	public Class<ReadCOValueCommandResponse> getResponseClass() {
		return ReadCOValueCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询一氧化碳监测值命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READCOVALUE;
	}

}
